/* ======================================================
   DARK MODE UTILITIES - PINK AND BRAIN
====================================================== */

/* =========================
   ESCALA PRETO (TEXT)
========================= */

.dark__mode .pinta__preto_1_dark { color: var(--preto-1) !important; }
.dark__mode .pinta__preto_2_dark { color: var(--preto-2) !important; }
.dark__mode .pinta__preto_3_dark { color: var(--preto-3) !important; }
.dark__mode .pinta__preto_4_dark { color: var(--preto-4) !important; }
.dark__mode .pinta__preto_5_dark { color: var(--preto-5) !important; }
.dark__mode .pinta__preto_6_dark { color: var(--preto-6) !important; }
.dark__mode .pinta__preto_7_dark { color: var(--preto-7) !important; }
.dark__mode .pinta__preto_8_dark { color: var(--preto-8) !important; }
.dark__mode .pinta__preto_9_dark { color: var(--preto-9) !important; }
.dark__mode .pinta__preto_10_dark { color: var(--preto-10) !important; }
.dark__mode .pinta__preto_11_dark { color: var(--preto-11) !important; }

/* =========================
   BRANCO
========================= */

.dark__mode .pinta__branco_dark {
    color: var(--branco) !important;
}

/* =========================
   VERDES (TEXT)
========================= */

.dark__mode .pinta__verde_main_dark { color: var(--verde-main) !important; }
.dark__mode .pinta__verde_1_dark { color: var(--verde-1) !important; }
.dark__mode .pinta__verde_2_dark { color: var(--verde-2) !important; }
.dark__mode .pinta__verde_3_dark { color: var(--verde-3) !important; }
.dark__mode .pinta__verde_4_dark { color: var(--verde-4) !important; }
.dark__mode .pinta__verde_5_dark { color: var(--verde-5) !important; }
.dark__mode .pinta__verde_6_dark { color: var(--verde-6) !important; }
.dark__mode .pinta__verde_7_dark { color: var(--verde-7) !important; }
.dark__mode .pinta__verde_8_dark { color: var(--verde-8) !important; }
.dark__mode .pinta__verde_9_dark { color: var(--verde-9) !important; }

/* =========================
   AMARELO / TERRACOTA / CACAU
========================= */

.dark__mode .pinta__amarelo_dark { color: var(--amarelo) !important; }
.dark__mode .pinta__amarelo_sol_dark { color: var(--amarelo-sol) !important; }
.dark__mode .pinta__vermelho_terracota_dark { color: var(--vermelho-terracota) !important; }
.dark__mode .pinta__laranja_cacau_dark { color: var(--laranja-cacau) !important; }
.dark__mode .pinta__marrom_cacau_dark { color: var(--marrom-cacau) !important; }

/* =========================
   AREIA
========================= */

.dark__mode .pinta__dourado_areia_dark { color: var(--dourado-areia) !important; }
.dark__mode .pinta__bege_areia_dark { color: var(--bege-areia) !important; }
.dark__mode .pinta__bege_areia_2_dark { color: var(--bege-areia-2) !important; }
.dark__mode .pinta__bege_bg_areia_2_dark { color: var(--bg-areia-2) !important; }
.dark__mode .pinta__bege_areia_3_dark { color: var(--bg-areia-3) !important; }


/* =========================
   AZUIS
========================= */

.dark__mode .pinta__azul_mar_dark { color: var(--azul-mar) !important; }
.dark__mode .pinta__azul_baleia_dark { color: var(--azul-baleia) !important; }

/* =========================
   VERDES ESPECIAIS
========================= */

.dark__mode .pinta__verde_folha_dark { color: var(--verde-folha) !important; }
.dark__mode .pinta__verde_palmeira_dark { color: var(--verde-palmeira) !important; }

/* ======================================================
   BACKGROUND DARK
====================================================== */

/* PRETO */

.dark__mode .pinta__bg_preto_dark { background-color: var(--preto) !important; }
.dark__mode .pinta__bg_preto_1_dark { background-color: var(--preto-1) !important; }
.dark__mode .pinta__bg_preto_2_dark { background-color: var(--preto-2) !important; }
.dark__mode .pinta__bg_preto_3_dark { background-color: var(--preto-3) !important; }
.dark__mode .pinta__bg_preto_4_dark { background-color: var(--preto-4) !important; }
.dark__mode .pinta__bg_preto_5_dark { background-color: var(--preto-5) !important; }
.dark__mode .pinta__bg_preto_6_dark { background-color: var(--preto-6) !important; }
.dark__mode .pinta__bg_preto_7_dark { background-color: var(--preto-7) !important; }
.dark__mode .pinta__bg_preto_8_dark { background-color: var(--preto-8) !important; }
.dark__mode .pinta__bg_preto_9_dark { background-color: var(--preto-9) !important; }
.dark__mode .pinta__bg_preto_10_dark { background-color: var(--preto-10) !important; }

/* BRANCO */

.dark__mode .pinta__bg_branco_dark {
    background: var(--branco) !important;
}

/* VERDE */

.dark__mode .pinta__bg_verde_main_dark { background-color: var(--verde-main) !important; }
.dark__mode .pinta__bg_verde_1_dark { background-color: var(--verde-1) !important; }
.dark__mode .pinta__bg_verde_2_dark { background-color: var(--verde-2) !important; }
.dark__mode .pinta__bg_verde_3_dark { background-color: var(--verde-3) !important; }
.dark__mode .pinta__bg_verde_4_dark { background-color: var(--verde-4) !important; }
.dark__mode .pinta__bg_verde_5_dark { background-color: var(--verde-5) !important; }
.dark__mode .pinta__bg_verde_6_dark { background-color: var(--verde-6) !important; }
.dark__mode .pinta__bg_verde_7_dark { background-color: var(--verde-7) !important; }
.dark__mode .pinta__bg_verde_8_dark { background-color: var(--verde-8) !important; }
.dark__mode .pinta__bg_verde_9_dark { background-color: var(--verde-9) !important; }

/* AREIA / LIGHT BG */

.dark__mode .pinta__bg_areia_dark { background-color: var(--bg-areia) !important; }
.dark__mode .pinta__bg_dourado_areia{ background-color: var(--preto-9) !important; }
.dark__mode .pinta__bg_areia_2_dark { background-color: var(--bg-areia-2) !important; }
.dark__mode .pinta__bg_verde_dark { background-color: var(--bg-verde) !important; }
.dark__mode .pinta__bg_azul_dark { background-color: var(--bg-azul) !important; }

/* CACAU / TERRACOTA */

.dark__mode .pinta__bg_laranja_cacau_dark { background-color: var(--laranja-cacau) !important; }
.dark__mode .pinta__bg_marrom_cacau_dark { background-color: var(--marrom-cacau) !important; }
.dark__mode .pinta__bg_vermelho_terracota_dark { background-color: var(--vermelho-terracota) !important; }

/* AZUIS */

.dark__mode .pinta__bg_azul_mar_dark { background-color: var(--azul-mar) !important; }
.dark__mode .pinta__bg_azul_baleia_dark { background-color: var(--azul-baleia) !important; }

/* VERDES ESPECIAIS */

.dark__mode .pinta__bg_verde_folha_dark { background-color: var(--verde-folha) !important; }
.dark__mode .pinta__bg_verde_palmeira_dark { background-color: var(--verde-palmeira) !important; }

/* OUTRAS */
.dark__mode .pinta__bg_amarelo_sol_dark { background-color: var(--amarelo-sol) !important; }

/* ======================================================
   UTILIDADE GLOBAL
====================================================== */

.dark__mode [class*="_dark"] {
    transition: .2s ease;
}


/* ======================================================
   BACKGROUND BASE
====================================================== */

body.dark__mode,
.dark__mode .cookies-content
{
    background-color: var(--preto-7) !important;
}

/* ======================================================
   BACKGROUND NÍVEL 8
====================================================== */

.dark__mode .card__loop_horizontal,
.dark__mode .card__newsletter.box__shadow_hover,
.dark__mode.error404 h1 strong,
.dark__mode .box__whatsapp_inline_post,
.dark__mode .redes__sociais_fixed,
.dark__mode .pb-toc,
.dark__mode .pb-summary,
.dark__mode .menu__topo,
.dark__mode .footer__copywriting,
.dark__mode .sem__termos_span,
.dark__mode .ver__mais_top,
.dark__mode .table__of_contents,
.dark__mode .btn__branco,
.dark__mode .img__card_blog,
.dark__mode .main__img_post figure img,
.dark__mode .img__esquerda_indicadores,
.dark__mode .content__article_body blockquote,
.dark__mode .nome__relacionados_bloco,
.dark__mode .menu__main_hamburguer_wrapper,
.dark__mode .modo__noturno {
    background-color: var(--preto-8) !important;
}

.dark__mode .glossario__lista_a_z a:hover, .dark__mode .glossario__lista_a_z a.active {
	background-color: var(--preto-8) !important;
}

/* ======================================================
   BACKGROUND NÍVEL 9
====================================================== */


.dark__mode .menu__main_desktop {
	background-color: var(--preto-9) !important;
}

/* ======================================================
   BACKGROUND NÍVEL 6
====================================================== */

.dark__mode .caixa__menu,
.dark__mode .submenu,
.dark__mode .menu__blog_wide,
.dark__mode .menu li:after,
.dark__mode .faq-titulo,
.dark__mode .main__img_post_label_absolute,
.dark__mode .section__frase_central,
.dark__mode .tabela__comparacao li:not(:first-child),
.dark__mode .card__finalidades.pinta__bg_verde_2,
.dark__mode .div__ads,
.dark__mode .glossario__lista_a_z, 
.dark__mode .bookmark__menu_thumb.bookmar_ativado {
    background-color: var(--preto-6) !important;
}


/* ======================================================
   BACKGROUND NÍVEL 5 / 4
====================================================== */

.dark__mode tr:nth-child(odd) { background-color: var(--preto-5) !important; }
.dark__mode tr:nth-child(even) { background-color: var(--preto-6) !important; }

.dark__mode .cta__linha_dupla .linha,
.dark__mode #tags__list li a:hover,
.dark__mode a.bookmark__menu_thumb, 
.dark__mode .bookmark__menu_thumb
{
    background-color: var(--preto-4);
}

/* ======================================================
   BACKGROUND ESPECIAIS
====================================================== */

.dark__mode .newsletter__grid {
    background-color: var(--preto-8) !important;
    box-shadow: 0 8px 0 var(--preto-5) !important;
}

.dark__mode .feed__category_img,
.dark__mode .page-numbers {
    background-color: var(--preto) !important;
}


.dark__mode .has__submenu > a::after, 
.dark__mode .dropdown_links__mobile > a::after {
	background-color: var(--amarelo-sol) !important;
}

/* ======================================================
   HOVER / ACTIVE
====================================================== */

.dark__mode .card__loop_horizontal:hover
{
    background-color: var(--preto-7) !important;
    border-color: var(--preto-4) !important;
}

.dark__mode .page-numbers.current,
.dark__mode .page-numbers:hover,
.dark__mode .btn__branco:hover {
    background-color: var(--preto-8) !important;
}

/* ======================================================
   TEXTO
====================================================== */

.dark__mode h1,
.dark__mode h2,
.dark__mode h3,
.dark__mode h4,
.dark__mode h5,
.dark__mode a:not(.btn__acomodacoes):not(.btn__fill):not(.tags__list li a):not(.tab button):not(.footer__main ul li a),
.dark__mode p,
.dark__mode li,
.dark__mode span,
.dark__mode strong,
.dark__mode time,
.dark__mode em,
.dark__mode b,
.dark__mode i {
    color: var(--preto-1) !important;
}

.dark__mode .meta__views,
.dark__mode .meta__info_author,
.dark__mode .meta__info_author time,
.dark__mode .flex__cookies p,
.dark__mode label,
.dark__mode label a,
.dark__mode .footer__topo p, 
.dark__mode .footer__topo strong, 
.dark__mode .footer__main p, 
.dark__mode .footer__main strong, 
.dark__mode .footer__main ul li a
{
    color: var(--preto-2) !important;
}

.dark__mode .schema-faq .schema-faq-answer {
    color: var(--preto-7) !important;
}

/* ======================================================
   CORES ESPECÍFICAS
====================================================== */

.dark__mode .menu__topo_btn_newsletter span,
.dark__mode .loop__categorias h3,
.dark__mode .section__frase_central * {
    color: var(--verde-1) !important;
}

.dark__mode .text_chapeu {
    color: var(--verde-2) !important;
}

/* ======================================================
   BORDAS
====================================================== */

.dark__mode hr:not(.menu__mob2 hr),
.dark__mode .newsletter__form input:not([type="range"]),
.dark__mode .menu__main_wrapper,
.dark__mode .letra-section h2,
.dark__mode .header__h1_interno:not(.has-image),
.dark__mode .faq-titulo,
.dark__mode .border__color_preto_4_dark
{
    border-color: var(--preto-4) !important;
}

.dark__mode .coluna_mista_espacos li,
.dark__mode .content__list_pages .grid__card_completo,
.dark__mode .ads__between_posts,
.dark__mode .sidebar__block,
.dark__mode .sidebar__top_blog,
.dark__mode .tags__blog,
.dark__mode .box__author_single,
.dark__mode .box__whatsapp_inline_post,
.dark__mode .redes__sociais_fixed,
.dark__mode .content__controls button {
    border-color: var(--preto-5) !important;
}

.dark__mode #btnMainMobile,
.dark__mode .btnMenuFavoritos,
.dark__mode .border__padrao {
    border-color: var(--preto-5) !important;
}

.dark__mode .menu__blog_wide .current-menu-item a, 
.dark__mode #menudesktop .current-menu-item,
.dark__mode .menu__blog_wide a:hover, 
.dark__mode .menu__main_desktop a:hover {
	border-color: var(--amarelo-sol) !important;
}
 
.dark__mode .border__transparent_dark {
	border-color: transparent !important;
}

/* ======================================================
   INPUT STATES
====================================================== */

.dark__mode input:hover,
.dark__mode textarea:hover,
.dark__mode input:focus,
.dark__mode textarea:focus,
.dark__mode select:hover,
.dark__mode select:focus,
.dark__mode .navegacao__itens_inclusos li button {
    border-color: var(--preto-2) !important;
}

/* ======================================================
   BOTÕES
====================================================== */

.dark__mode .btn__1 { background-color: var(--preto-5); }
.dark__mode .btn__1:hover { background-color: var(--preto-4); }

/* ======================================================
   ÍCONES
====================================================== */

.dark__mode .icone__hamburguer,
.dark__mode .icone__editorias,
.dark__mode #btnMenuSearch img,
.dark__mode .theme__switch img,
.dark__mode .invert__img,
.dark__mode .galeria-mansory__list img[src$=".svg"],
.dark__mode .tabs-mansory__list img[src$=".svg"],
.dark__mode .redes__sociais_fixed img {
    filter: brightness(0) invert(1);
}

/* ======================================================
   OUTROS
====================================================== */

.dark__mode .bookmar_ativado img {
    filter: grayscale(1) !important;
}

.dark__mode .arruma__grafismo_dark {
	width: auto;
    filter: invert(1) contrast(0);
    opacity: .5;
}

.dark__mode .newsletter__grid {
	background-image: none;
}

.dark__mode .galeria-embutida {
	background-color: var(--preto-8);  
}

.dark__mode .menu__notificacao::before {
	background: linear-gradient(to right, 
	color-mix(in srgb, var(--preto-9)90%, transparent) 0%, 
	color-mix(in srgb, var(--preto-9) 55%, transparent) 45%, rgba(0, 0, 0, 0) 100%);
}

.dark__mode .menu__notificacao::after {
	background: linear-gradient(to right, rgba(0, 0, 0, 0) 0%, 
	color-mix(in srgb, var(--preto-9) 50%, transparent) 56%, var(--preto-9) 89%);
}